<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>shift</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="selfcontained.html">selfcontained</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="shift.allocate.html">shift (allocate)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">shift</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>A shift combines several workhours related settings in a reusable entity. Besides the weekly working hours it can also hold information such as leaves and a time zone.</p>
        <p>Shifts have a global name space. All IDs must be unique within the shifts of the project.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>shift [&lt;id&gt;] &lt;name&gt; [{ &lt;attributes&gt; }]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="2">Arguments</td>
      <td class="descr">id [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>An optional ID. If you ever want to reference this property, you must specify your own unique ID. If no ID is specified one will be automatically generated. These IDs may become visible in reports, but may change at any time. You may never rely on automatically generated IDs.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">name [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>The name of the shift</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="properties.html">properties</a>, <a href="shift.html">shift</a>
      </td>
     </tr>
     <tr align="left">
      <td class="tag">See also</td>
      <td class="descr" colspan="2">
       <a href="shifts.resource.html">shifts (resource)</a>, <a href="shifts.task.html">shifts (task)</a>
      </td>
     </tr>
    </table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag" rowspan="7">Attributes</td>
      <td class="tag">Name</td>
      <td class="tag">Scen. spec.</td>
      <td class="tag">Inh. fm. Global</td>
      <td class="tag">Inh. fm. Parent</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="leaves.html">leaves</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="replace.html">replace</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="shift.html">shift</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="timezone.shift.html">timezone (shift)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="vacation.shift.html">vacation (shift)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="workinghours.shift.html">workinghours (shift)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="selfcontained.html">selfcontained</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="shift.allocate.html">shift (allocate)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
